
// Standard-defines
#define ON  1
#define OFF 0
#define TRUE ON
#define FALSE OFF

// Steuerzeichen
#define CR  0x0d
// #define LF  0x0a

// I2C
#define SCL                   RC3
#define SDA                   RC4

// Adressen der IO-Slaves
#define Output0               0x70   // PCF8574A
#define Output1               0x72   // PCF8574A

#define Input0                0x74   // PCF8574A
#define Input1                0x46   // PCF8574

// I2C-Krempel
#define uDLY                  40                  // Verzgerungszeit zwischen Bitwechseln
#define rDLY                  2                   // Verzgerungszeit beim lesen

#define SDA_PORT              16                  // Port C.4
#define SCL_PORT              8                   // Port C.3

#define	XTAL_FREQ	4MHZ
#define	MHZ	*1000

#define	DelayUs(x)	{ unsigned int _dcnt; \
			  _dcnt = (x)/(12MHZ/(XTAL_FREQ))|1; \
			  while(--_dcnt != 0) \
				  continue; }

// Kommandostruktur
#define KeinKommando							0
#define KommandoSpannungMessen		1
#define KommandoSpannungEin				2
#define KommandoSpannungAus				3
#define KommandoSpannungAbbauen  	4
#define KommandoZuenderPruefen		5
#define KommandoZuenden						6

